# Uses of Class
org.apache.zookeeper.proto.RequestHeader

Packages that use RequestHeader
Package
Description
org.apache.zookeeper
org.apache.zookeeper.proto
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of RequestHeader in org.apache.zookeeper

Methods in org.apache.zookeeper with parameters of type RequestHeader
Modifier and Type
Method
Description
`org.apache.zookeeper.ClientCnxn.Packet`
ClientCnxn.`queuePacket(RequestHeader h, ReplyHeader r, Record request, Record response, AsyncCallback cb, String clientPath, String serverPath, Object ctx, ZooKeeper.WatchRegistration watchRegistration)`
`org.apache.zookeeper.ClientCnxn.Packet`
ClientCnxn.`queuePacket(RequestHeader h, ReplyHeader r, Record request, Record response, AsyncCallback cb, String clientPath, String serverPath, Object ctx, ZooKeeper.WatchRegistration watchRegistration, WatchDeregistration watchDeregistration)`
`ReplyHeader`
ClientCnxn.`submitRequest(RequestHeader h, Record request, Record response, ZooKeeper.WatchRegistration watchRegistration)`
`ReplyHeader`
ClientCnxn.`submitRequest(RequestHeader h, Record request, Record response, ZooKeeper.WatchRegistration watchRegistration, WatchDeregistration watchDeregistration)`

## Uses of RequestHeader in org.apache.zookeeper.proto

Methods in org.apache.zookeeper.proto with parameters of type RequestHeader
Modifier and Type
Method
Description
`void`
RequestHeader.`copyFrom(RequestHeader from)`

## Uses of RequestHeader in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type RequestHeader
Modifier and Type
Method
Description
`void`
ZooKeeperServer.`closeSession(ServerCnxn cnxn, RequestHeader requestHeader)`
`void`
ServerCnxn.`incrOutstandingAndCheckThrottle(RequestHeader h)`
`void`
ZooKeeperServer.`processPacket(ServerCnxn cnxn, RequestHeader h, RequestRecord request)`